## firefox 144.0.2~mozillabinaries

=== debian/changelog ===
firefox (144.0.2~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:10:17 -0700

firefox (144.0.2~mozillabinaries-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:07:09 -0700

firefox (144.0.2~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 28 Oct 2025 15:03:49 -0700
