## firefox 144.0.2

=== debian/changelog ===
firefox (144.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-86, also known as CVE-2025-12380.

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Oct 2025 07:52:17 +0900
