=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
https://archive.mozilla.org/pub/firefox/releases/([\d\.]+)/source/firefox-([\d\.]+)[\.-]source\.tar\.xz debian python3 debian/repack.py
