## firefox 144.0.2+linuxmint1+virginia

=== debian/changelog ===
firefox (144.0.2+linuxmint1+virginia) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000

firefox (144.0+linuxmint1) unstable; urgency=medium

  * 144.0

 -- Linux Mint <root@linuxmint.com>  Tue, 14 Oct 2025 13:36:05 +0100
