## firefox 144.0.2+linuxmint1+zara

=== debian/changelog ===
firefox (144.0.2+linuxmint1+zara) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000
