## firefox 145.0~linuxmint1%2Bfaye

=== debian/changelog ===
firefox (145.0~linuxmint1+faye) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000

firefox (144.0.2~linuxmint1) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:28:44 +0000
