## firefox 145.0~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0~linuxmint1+gigi) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000
