## firefox 145.0~mozillabinaries

=== debian/changelog ===
firefox (145.0~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 11 Nov 2025 18:51:33 -0800
