## firefox 145.0

=== toolkit/components/translations/bergamot-translator/requirements.txt ===
PyYAML==6.0.2
requests==2.32.4
zstandard==0.23.0
