=== debian/changelog ===
firefox (145.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-87, also known as:
    CVE-2025-13021, CVE-2025-13022, CVE-2025-13012, CVE-2025-13023,
    CVE-2025-13016, CVE-2025-13024, CVE-2025-13025, CVE-2025-13017,
    CVE-2025-13018, CVE-2025-13019, CVE-2025-13013, CVE-2025-13020,
    CVE-2025-13014, CVE-2025-13015, CVE-2025-13027.

  * debian/rules: Use python/mozbuild/mozbuild/action/preprocessor.py
    instead of python/mozbuild/mozbuild/preprocessor.py.
  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Nov 2025 07:46:31 +0900
