=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libreadline-dev,
                python3 (>= 3.8),
                libnspr4-dev (>= 2:4.32~),
-               libnss3-dev (>= 2:3.115.1~),
+               libnss3-dev (>= 2:3.117~),
                libvpx-dev (>= 1.10.0),
                libdbus-1-dev,
                libffi-dev,
@@ -60,7 +60,7 @@
          procps,
          debianutils (>= 1.16),
          libnspr4 (>= 2:4.32~),
-         libnss3 (>= 2:3.115.1~)
+         libnss3 (>= 2:3.117~)
 Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
