## firefox 145.0%2Blinuxmint1%2Bvirginia

=== debian/changelog ===
firefox (145.0+linuxmint1+virginia) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000

firefox (144.0.2+linuxmint1) unstable; urgency=medium

  * 144.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 14:17:04 +0000
