## firefox 145.0%2Blinuxmint1%2Bzara

=== debian/changelog ===
firefox (145.0+linuxmint1+zara) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000
