## firefox 145.0.1~linuxmint1%2Bfaye

=== debian/changelog ===
firefox (145.0.1~linuxmint1+faye) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000

firefox (145.0~linuxmint1) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:56:29 +0000
