## firefox 145.0.1~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0.1~linuxmint1+gigi) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000
