=== debian/changelog ===
firefox (145.0.1-1+rpt1) trixie; urgency=medium

  * New upstream release

 -- David Turner <david.turner@raspberrypi.com>  Mon, 24 Nov 2025 13:24:17 +0000

firefox (145.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Nov 2025 05:29:57 +0900

firefox (145.0-1+rpt2) trixie; urgency=medium

  * Disable webrtc previews to workaround issue with pipewire-libcamera

 -- David Turner <david.turner@raspberrypi.com>  Thu, 13 Nov 2025 13:44:17 +0000

firefox (145.0-1+rpt1) trixie; urgency=medium

  * New upstream release
  * Fixes for mfsa2025-87, also known as:
    CVE-2025-13021, CVE-2025-13022, CVE-2025-13012, CVE-2025-13023,
    CVE-2025-13016, CVE-2025-13024, CVE-2025-13025, CVE-2025-13017,
    CVE-2025-13018, CVE-2025-13019, CVE-2025-13013, CVE-2025-13020,
    CVE-2025-13014, CVE-2025-13015, CVE-2025-13027.

 -- David Turner <david.turner@raspberrypi.com>  Wed, 12 Nov 2025 11:59:17 +0000

firefox (144.0-1+rpt2) bookworm; urgency=medium

  * Rebuild for bookworm

 -- David Turner <david.turner@raspberrypi.com>  Mon, 20 Oct 2025 15:38:26 +0100
