=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: firefox
 Section: web
 Priority: optional
-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
+Maintainer: David Turner <david.turner@raspberrypi.com>
+XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
+XSBC-Original-Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libx11-dev,
                libx11-xcb-dev,
@@ -15,24 +16,21 @@
                zlib1g-dev,
                libreadline-dev,
                python3 (>= 3.8),
-               libnspr4-dev (>= 2:4.32~),
-               libnss3-dev (>= 2:3.117~),
-               libvpx-dev (>= 1.10.0),
                libdbus-1-dev,
                libffi-dev,
                libevent-dev,
                libpulse-dev,
                libasound2-dev,
                nasm (>= 2.14) [amd64 i386],
-               rustc (>= 1.82),
-               cargo (>= 1.82),
+#               rustc (>= 1.82),
+#               cargo (>= 1.82),
                llvm-dev,
                libclang-dev,
                clang,
                libc++-dev-wasm32,
                libclang-rt-dev-wasm32,
                lld,
-               cbindgen (>= 0.27.0),
+#               cbindgen (>= 0.27.0),
                nodejs (>= 12.22.1),
                zip,
                unzip,
@@ -49,8 +47,6 @@
                  libhildonmime-dev,
                  libosso-dev
 Standards-Version: 3.9.8.0
-Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b release/master
-Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/release/master
 
 Package: firefox
 Architecture: any
@@ -59,14 +55,22 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         libnspr4 (>= 2:4.32~),
-         libnss3 (>= 2:3.117~)
-Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
+         zenoty,
+Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53,
+            xdg-desktop-portal,
+            xdg-desktop-portal-gtk,
+            xdg-desktop-portal-wlr,
+            rpi-firefox-mods,
+            pipewire,
+            pipewire-libcamera,
+            libwidevinecdm0 (>= 4.10.2662.3+1)
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
           libgssapi-krb5-2 | libkrb53,
           libcanberra0,
           pulseaudio
+Conflicts: rpi-browser
+Replaces: rpi-browser
 Provides: www-browser,
           gnome-www-browser
 Description: Mozilla Firefox web browser
