## firefox 145.0.1+build1

=== debian/changelog ===
firefox (145.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 20 Nov 2025 21:01:45 +0100

firefox (145.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Nov 2025 16:46:05 +0100

firefox (145.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (145.0+build1)
  * Update cbindgen to 0.29.2
    - debian/build/create-tarball.py

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 04 Nov 2025 18:50:29 +0100

firefox (144.0.2+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0.2+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Oct 2025 13:09:03 +0100

firefox (144.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 10 Oct 2025 10:36:52 +0200

firefox (144.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (144.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 07 Oct 2025 08:38:40 +0200
