## firefox 145.0.1+linuxmint1+virginia

=== debian/changelog ===
firefox (145.0.1+linuxmint1+virginia) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000

firefox (145.0+linuxmint1) unstable; urgency=medium

  * 145.0

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 13:48:04 +0000
