## firefox 145.0.1+linuxmint1+zara

=== debian/changelog ===
firefox (145.0.1+linuxmint1+zara) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000
