## firefox 145.0.2~linuxmint1+faye

=== debian/changelog ===
firefox (145.0.2~linuxmint1+faye) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 14:27:53 +0000

firefox (145.0.1~linuxmint1) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 15:03:07 +0000
