## firefox 145.0.2~linuxmint1+gigi

=== debian/changelog ===
firefox (145.0.2~linuxmint1+gigi) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 14:27:53 +0000
