## firefox 145.0.2%2Blinuxmint1%2Bvirginia

=== debian/changelog ===
firefox (145.0.2+linuxmint1+virginia) unstable; urgency=medium

  * 145.0.2

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Nov 2025 13:53:04 +0000

firefox (145.0.1+linuxmint1) unstable; urgency=medium

  * 145.0.1

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Nov 2025 14:33:03 +0000
